﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_center_mouse_over_control
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Move the mouse over the other control.
        private void btnOverThere1_Click(object sender, EventArgs e)
        {
            CenterMouseOverControl(btnOverThere2);
        }
        private void btnOverThere2_Click(object sender, EventArgs e)
        {
            CenterMouseOverControl(btnOverThere1);
        }

        // Center the mouse over a control.
        private void CenterMouseOverControl(Control ctl)
        {
            // See where to put the mouse.
            Point target = new Point(
                (ctl.Left + ctl.Right) / 2,
                (ctl.Top + ctl.Bottom) / 2);

            // Convert to screen coordinates.
            Point screen_coords = ctl.Parent.PointToScreen(target);

            Cursor.Position = screen_coords;
        }
    }
}
